Bug 219616 - [NEW PORT] databases/postgresql-orafce: Oracle's compatibility functions and packages for PostgreSQL
Summary: [NEW PORT] databases/postgresql-orafce: Oracle's compatibility functions and ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Torsten Zuehlsdorff
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-28 16:03 UTC by Jov
Modified: 2017-07-19 09:09 UTC (History)
2 users (show)

See Also:


Attachments
postgresql95-orafce.shar (2.37 KB, text/plain)
2017-05-28 16:03 UTC, Jov
no flags Details
postgresql-orafce.shar (2.31 KB, text/plain)
2017-05-30 01:26 UTC, Jov
no flags Details
postgresql-orafce.shar (2.34 KB, text/plain)
2017-05-31 10:21 UTC, Jov
no flags Details
postgresql-orafce.shar (2.34 KB, text/plain)
2017-06-08 10:33 UTC, Jov
no flags Details
postgresql-orafce.shar (2.42 KB, text/plain)
2017-07-06 03:23 UTC, Jov
no flags Details
postgresql-orafce.shar (2.40 KB, text/plain)
2017-07-14 09:38 UTC, Jov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jov 2017-05-28 16:03:20 UTC
Created attachment 183005 [details]
postgresql95-orafce.shar

This is a Master port.

The "orafce" is a module of PostgreSQL. It implements of some functions from
the Oracle database. The functionality was verified on Oracle 10g, and the
module is useful for production work. This module contains some useful function
which can help with porting Oracle application to PostgreSQL or can be useful
generally.

WWW: https://github.com/orafce/orafce
Comment 1 Jov 2017-05-30 01:26:22 UTC
Created attachment 183049 [details]
postgresql-orafce.shar

make this port depends on the pgsql version user installed.
Comment 2 Jov 2017-05-31 10:21:32 UTC
Created attachment 183088 [details]
postgresql-orafce.shar

add WANT_PGSQL=	server,the USES pgsql:version only add client depend.
Comment 3 Jov 2017-06-08 10:33:27 UTC
Created attachment 183325 [details]
postgresql-orafce.shar

fix poudriere testport error.

portlint clean
poudriere pass.
Comment 4 Jov 2017-06-20 01:12:15 UTC
ping
Comment 5 Jov 2017-07-06 03:23:18 UTC
Created attachment 184104 [details]
postgresql-orafce.shar

add strip
Comment 6 Torsten Zuehlsdorff freebsd_committer 2017-07-14 09:01:55 UTC
This port looks nearly fine. Would you please consider using DOCSDIR:
https://www.freebsd.org/doc/en/books/porters-handbook/install.html#install-documentation

?
Comment 7 Jov 2017-07-14 09:38:28 UTC
Created attachment 184340 [details]
postgresql-orafce.shar

add addition docs.
Comment 8 Torsten Zuehlsdorff freebsd_committer 2017-07-17 11:16:04 UTC
Committed, thanks! :)
Comment 9 commit-hook freebsd_committer 2017-07-17 11:16:53 UTC
A commit references this bug:

Author: tz
Date: Mon Jul 17 11:15:52 UTC 2017
New revision: 446066
URL: https://svnweb.freebsd.org/changeset/ports/446066

Log:
  New port: databases/postgresql-orafce

  The "orafce" is a module of PostgreSQL. It implements of some functions from
  the Oracle database. The functionality was verified on Oracle 10g, and the
  module is useful for production work. This module contains some useful function
  which can help with porting Oracle application to PostgreSQL or can be useful
  generally.

  WWW: https://github.com/orafce/orafce

  PR:           219616
  Submitted by: Jov <amutu@amutu.com>

Changes:
  head/databases/Makefile
  head/databases/postgresql-orafce/
  head/databases/postgresql-orafce/Makefile
  head/databases/postgresql-orafce/distinfo
  head/databases/postgresql-orafce/pkg-descr
Comment 10 commit-hook freebsd_committer 2017-07-19 09:09:54 UTC
A commit references this bug:

Author: tz
Date: Wed Jul 19 09:09:18 UTC 2017
New revision: 446189
URL: https://svnweb.freebsd.org/changeset/ports/446189

Log:
  databases/postgresql-orafce: move Readme into PORTDOCS

  PR:          219616
  Reported by: mat

Changes:
  head/databases/postgresql-orafce/Makefile